#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.1.0.0
visibility:           public
id:                   ghcide-1.1.0.0-IKkItyU7ScjCmWx8P2vKUg
key:                  ghcide-1.1.0.0-IKkItyU7ScjCmWx8P2vKUg
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:             https://github.com/haskell/ghcide#readme
synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  2432e21ddffd0158b2a37454125fd85f
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Compile Development.IDE.Core.Debouncer
    Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.1.0.0
hs-libraries:         HSghcide-1.1.0.0-IKkItyU7ScjCmWx8P2vKUg
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-47a4LNZRWUlArGBOk8Yz3p
    aeson-1.5.6.0-8KXcI8eaJDb23YvdvZt7uT array-0.5.4.0
    async-2.2.3-2cYLtGWZjMO21a0j0Ua6Nz base-4.14.1.0
    base16-bytestring-1.0.1.0-AgE6rY2lVzm8SIlM9gmSzI binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-HRf694vPZcYFD6wZzobPnd
    case-insensitive-1.2.1.0-DbGxz2JWIHa9dKN5hzOmMa containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-ADVnHlCrNKYIFNciJNy0On
    dependent-sum-0.7.1.0-4QsQ0uldyNP6gIWI4NMwVk directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-DxzJX50pf1hAQW7r94FZGu
    filepath-1.4.2.1 fingertree-0.1.4.2-DWNqplPw9mOL8ZLbAD05Ht
    fuzzy-0.1.0.0-IzUTp29tngn5xuzUxYuUaD ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.4-AuyzIo7ScWk7DYLeY7yHjz
    ghc-exactprint-0.6.4-CRMVMcnL0hk4AUmpWZdJMm
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    haddock-library-1.10.0-4IDRS7qW0XV4aFmmq2GdE6
    hashable-1.3.1.0-3O2Bzk2rCtQQYcJkJ3vPV
    heapsize-0.3.0.1-GqAoAXgSNeJAhxvSZaOwCu
    hie-bios-0.7.5-GceLoJrR9X78DqPNR6V5ae
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-3P7g3k0VMBmJJROnQw1qqK
    hls-plugin-api-1.0.0.0-5w4uACOZANl87RCggO3Kqn
    hslogger-1.3.1.0-4brPsN6LEUx1N3HWs34B1o
    implicit-hie-cradle-0.3.0.2-4N8PScR7eH85Hm9CW8Mh02
    lens-5.0.1-CE26d8f9KlGBxeehqIVbTQ
    lsp-1.1.1.0-FOUoFVU6o588Z3S9DTh92E
    lsp-types-1.1.0.0-3zO389Wmm7kH1R6DziqHfV mtl-2.2.2
    network-uri-2.6.4.1-3mv7RWF0Ao3K2iKwg9OxVv
    opentelemetry-0.6.1-EllcASnetXDI5Kxc61yJvu
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-F4uY7Byl4rF7cvnC3hKo2i
    prettyprinter-ansi-terminal-1.1.2-7AJCHWDghnz7A9Lg7itvXi
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-IisLtUyeia3A4HtU0rrkEL
    rope-utf16-splay-0.3.2.0-5XouiTOYBnd8RfR7WuNhj3
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-FQkyGp1THFAGcSjaFpzvwG
    shake-0.19.4-KfTnL57a45Q6bzVGOFlq9x
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-2gofs0973Jv43ydr7Hcffe stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.14-BhWdFLDTCVtCcccDaHqfll
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-Db75j8fMRzh4s5oxHejudG
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.3.0-9sHYkvizLwxkl2zr3W4dm

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

